"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StaticPage = void 0;
const react_1 = __importDefault(require("react"));
const react_native_1 = require("react-native");
const Themes_1 = require("../Themes");
const styles = react_native_1.StyleSheet.create({
    container: { flex: 1 },
});
const StaticPage = ({ background, children }) => {
    const { baseBackgroundColor } = Themes_1.useColors();
    const color = background ? background : baseBackgroundColor;
    return (react_1.default.createElement(react_native_1.SafeAreaView, { style: [styles.container, { backgroundColor: color }] }, children));
};
exports.StaticPage = StaticPage;
